<?php
  include("conn.php");
  include("fnc-titulares.php");

  $vUnidades  = $_POST['xUnidades'];

  $resu = '<select class="form-control" id="xSeleccion">';
  $sqlEmpresas = '';
  if ($vUnidades != '') {
    $xUnidades = explode(',' , $vUnidades);
    $sqlEmpresas = " AND (";
    foreach ($xUnidades as $value) {
      $aux = explode('-', $value);
      
      if ($sqlEmpresas <> " AND (") {
        $sqlEmpresas .= " OR ";
      }
      $sqlEmpresas .= "(B.BASE = " . $aux[0] . " AND T.TITULAR = " . $aux[1] . ")";
    }
    $sqlEmpresas .= ")";
  }

  $sqlVistaTitulares = getVistaTitulres($DBSegu);

  $sql = "SELECT DISTINCT B.BASE, B.DESCRI AS DESC_BASE, T.TITULAR, T.DESCRI AS DESC_TITULAR
          FROM (SELECT XB.BASE, XB.DESCRI 
                FROM BASES XB 
                     INNER JOIN USUARIOSBASES XUB 
                         INNER JOIN USUARIOS XU 
                         ON XUB.ID_USUARIO = XU.ID_USUARIO 
                            AND XU.USUARIO = 'PIXO_WEB' 
                     ON XB.BASE = XUB.BASE) B  
               INNER JOIN ".$sqlVistaTitulares." T
               ON B.BASE = T.BASE
               INNER JOIN USUARIOSBASES UB 
                   INNER JOIN USUARIOS U 
                   ON UB.ID_USUARIO = U.ID_USUARIO 
               ON B.BASE = UB.BASE
          WHERE 1=1 " . $sqlEmpresas . " 
          ORDER BY B.DESCRI ";
  $RsUnidades = sqlsrv_query( $conn, $sql);    
  if (! $RsUnidades ) {    
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.11';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die( print_r( sqlsrv_errors(), true));    
  }
  while( $row = sqlsrv_fetch_array( $RsUnidades, SQLSRV_FETCH_ASSOC)) {  
    $resu .= "<option data-base='".$row['BASE']."' data-titular='".$row['TITULAR']."'>" . utf8_encode($row['DESC_BASE']) . " - " . utf8_encode($row['DESC_TITULAR']) . "</option>"; 
  }


  $resu .= '</select>';

  $jsondata = array();
  $jsondata['success'] = true;
  $jsondata['message'] = $resu;
  
  header('Content-type: application/json; charset=utf-8');
  echo json_encode($jsondata);
?>